<nb-card>
  <nb-card-body>
    <div class="mat-elevation-z8">
      <!-- This is the search box -->
      <mat-form-field>
        <input matInput placeholder="Search projects by title" #input />
      </mat-form-field>

      <!-- This is a loading symbol -->
      <div class="spinner-container" *ngIf="dataSource.loading$ | async">
        <mat-spinner></mat-spinner>
      </div>

      <!-- This is the table -->
      <mat-table
        class="projects-table mat-elevation-z8"
        [dataSource]="dataSource"
        matSort
        matSortActive="id"
        matSortDirection="asc"
        matSortDisableClear
      >
        <!--displayedColumns = ["id", "status", "description"];-->

        <ng-container matColumnDef="id">
          <mat-header-cell *matHeaderCellDef mat-sort-header
            >ID</mat-header-cell
          >
          <mat-cell *matCellDef="let project">{{ project.id }}</mat-cell>
          <!--<mat-cell class="id-cell" *matCellDef="let project">{{project.id}}</mat-cell>-->
        </ng-container>

        <ng-container matColumnDef="title">
          <mat-header-cell *matHeaderCellDef mat-sort-header
            >Title</mat-header-cell
          >
          <mat-cell *matCellDef="let project">{{ project.title }}</mat-cell>
          <!--<mat-cell class="id-cell" *matCellDef="let project">{{project.id}}</mat-cell>-->
        </ng-container>

        <ng-container matColumnDef="status">
          <mat-header-cell *matHeaderCellDef>Status</mat-header-cell>
          <mat-cell class="status-cell" *matCellDef="let project">{{
            project.status
          }}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="description">
          <mat-header-cell *matHeaderCellDef>Description</mat-header-cell>
          <mat-cell class="description-cell" *matCellDef="let project">{{
            project.description
          }}</mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

        <mat-row
          *matRowDef="let row; columns: displayedColumns"
          (click)="getProject(row)"
        ></mat-row>
      </mat-table>
    </div>
  </nb-card-body>
</nb-card>
